﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Fluke 199XRAY: (1 year) VER RS-232 /5520A+SC600
DATE:                  2017-04-20 11:14:00
AUTHOR:                Fluke
REVISION:              $Revision: 22102 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       217
CONFIGURATION:         Fluke 5520A (S6)
=============================================================================
#
#  Procedure Author:
#        DT, GMO, DFM
#
#  Source:
#        Fluke 192B/196B-C/199B-C ScopeMeter® Service Manual,
#         Part No. 4822 872 05391, September 2002, Rev. 1, Dec 07
#
# Required Equipment:
#        Adapter, dual banana plug to BNC(f), Fluke PM 9081/001
#        Adapter, dual banana jack to BNC(m), Fluke PM 9082/001
#        Adapter, shielded banana to BNC(f), Fluke Model BB120,
#        Test leads, stackable, 24", 4 ea.
#        Termination, feedthrough, 50 Ω, Fluke PM 9585
#        Termination, feedthrough, 75 Ω, Pomona 4119-75
#        Cable, 50 Ω, BNC(m)-(m), Pomona 2249-C-36, 2 ea.
#        Cable, 75 Ω, BNC(m)-(m), Fluke PM 9075
#        Fluke PM9080 Optically Isolated Interface Cable
#        Fluke Adapter Kit, Part No. 689486 or equivalent. Includes DB9(f)
#         to DB9(f) null modem adapter and DB9(m) to DB9(m) gender changer
#
#  This procedure is intended for use with MET/CAL® calibration software; the
#  terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.002  IF           0
  1.003  5520         0.5Vpp                       200MH          LS S6 S  L
  1.004  ENDIF

  1.004  ASK-   R   Q N              P                            F       V

  1.006  IF           NOT(VERSIONCHECK("8.2"))
  1.007  END
  1.008  ENDIF

  1.012  CALL         Sub Display Copyright
  1.013  CALL         Sub High Voltage Safety Warning
  1.015  CALL         Sub Select Failed Test Mode
  1.016  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.017  HEAD         TEST CONDITIONS
  1.018  DISP         - Warm-up time requirement: 30 minutes
  1.018  DISP         - Ambient temperature: 18 °C - 28 °C.
  1.018  DISP         - Relative humidity: less than 90 %.

  1.019  HEAD         EQUIPMENT REQUIREMENTS
  1.020  OPBR         -z Do you want to review the list of additional
  1.020  OPBR         equipment and/or accessories required?

  1.021  IF           MEM1
  1.022  DISP         The following additional equipment and/or
  1.022  DISP         accessories are required:
  1.022  DISP
  1.022  DISP         - Adapter, dual banana plug to BNC(f), Fluke PM 9081/001
  1.022  DISP         - Adapter, dual banana jack to BNC(m), Fluke PM 9082/001
  1.022  DISP         - Test leads, stackable, 4 ea.
  1.022  DISP         - Termination, feedthrough, BNC, 50 Ω, Fluke PM 9585
  1.022  DISP         - Cable, 50 Ω, BNC(m)-(m), Pomona 2249-C-36, 2 ea.
  1.022  DISP         - Cable, communication, isolated, Fluke PM 9080
  1.022  DISP         - Adapter Kit, Fluke Part No. 689486 (COM5520 Selected)
  1.022  DISP         -
  1.022  DISP         - Accessories supplied with UUT
  1.022  DISP         [32] Power Adapter, BC190
  1.022  DISP         [32] VPS210-G Voltage Probe (200 MHz, 10:1), Grey or Red
  1.023  ENDIF

  1.024  HEAD         PRELIMINARY INSTRUCTIONS
  1.025  DISP         [32]           IMPORTANT! PLEASE NOTE!!
  1.025  DISP
  1.025  DISP         Throughout this procedure, the UUT MUST be powered
  1.025  DISP         by the BC190 battery charger (the battery pack must
  1.025  DISP         be installed).

  1.026  DISP         Prior to verification, the UUT must be reset.
  1.026  DISP         Reset the UUT using the following procedure:
  1.026  DISP
  1.026  DISP         - Press and release the power button to turn UUT off
  1.026  DISP         - PRESS AND HOLD the UUT "USER" button
  1.026  DISP         - Press and release the power button to turn UUT on
  1.026  DISP         - WAIT until the UUT has BEEPED TWICE, then release
  1.026  DISP         [32] the UUT "USER" button

# Configure interface cable.
  1.027  MATH         lb = lbNew("Communication Interface Cable Type")
  1.028  MATH         lbText(lb, "To communicate with Fluke Scopemeter, you")
  1.029  MATH         lbText(lb, "can use the FLUKE OC4USB Optical Cable for")
  1.030  MATH         lbText(lb, "USB or Fluke PM9080 Optically Isolated")
  1.031  MATH         lbText(lb, "RS-232 cable.")
  1.032  MATH         lbText(lb, "")
  1.033  MATH         lbText(lb, "Select your cable type from list box below")
  1.034  MATH         lbAdd(lb, "Fluke OC4USB Optical Cable for USB")
  1.035  MATH         lbAdd(lb,"Fluke PM9080 Optically Isolated RS-232 cable")
  1.036  MATH         lbShow(lb)
  1.037  MATH         Index = lbGetSelX(lb, 1)

  1.038  IF           Index == 1
  1.039  CALL         Sub Fluke ScopeMeter (UUT) Connection RS-232 /OC4USB
  1.040  ELSE
  1.041  CALL         Sub Fluke ScopeMeter (UUT) Connection RS-232 /5520
  1.042  ENDIF

  1.043  JMPL         END                          @Abort

# Setup UUT RS232 communication.
  1.044  LABEL        RS232_SETUP
  1.045  PORT         [REOPEN][P1200,N,8,1,X][T30000][OTERM CR]

  1.046  HEAD         UUT IDENTIFICATION
  1.047  MATH         @Bandwidth = 200E+6
# Query test tool name and firmware version.
  1.048  CALL         Sub Fluke ScopeMeter Identification RS-232

# Make sure correct UUT is connected.
  1.049  MATH         L[1] = ZCMPI(@Manufacturer, "Fluke")
  1.050  MATH         L[2] = ZCMPI(@ModelNum, "199XRAY")

  1.051  IF           NOT(L[1]) || NOT(L[2])
  1.052  DISP         UUT is a [V @Manufacturer] [V @ModelNum],
  1.052  DISP         not a Fluke 199XRAY!
  1.053  END
  1.054  ENDIF

  1.055  CALL         Sub Fluke 19xB/C Check Firmware Revision RS-232

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Preserving Results Order While Optimizing
# Execution Sequence in MET/CAL Procedures.

  1.056  CALL         Sub Fluke ScopeMeter Display Tests RS-232
  1.057  CALL         Sub Fluke 19xB/C (1 yr) A&B Vertical Acc RS-232 /5520
  1.058  CALL         Sub Fluke 19xB/C (1 yr) A&B DCV Acc RS-232 /5520
  1.059  CALL         Sub Fluke 19xB/C (1 yr) A&B ACV Acc RS-232 /5520
  1.060  CALL         Sub Fluke 19xB/C (1 yr) A&B ACV AC Coupled RS-232 /5520
  1.061  CALL         Sub Fluke 19xB/C (1 yr) A&B V Peak Meas RS-232 /5520
  1.062  CALL         Sub Fluke 19xB/C (1 yr) A&B Freq Meas RS-232 /5520+S6
  1.063  CALL         Sub Fluke 19xB/C (1 yr) A&B Phase Meas RS-232 /5520+S6
  1.064  CALL         Sub Fluke 19xB (1 yr) Time Base RS-232 /5520+S6
  1.065  CALL         Sub Fluke 19xB/C (1 yr) A Trigger Sens RS-232 /5520+S6
  1.066  CALL         Sub Fluke 19xB/C (1 yr) A Bandwidth RS-232 /5520+S6
  1.067  JMPL         A_VIDEO

  1.068  LABEL        TRIG_SENS_B
  1.069  CALL         Sub Fluke 19xB/C (1 yr) B Trigger Sens RS-232 /5520+S6
  1.070  CALL         Sub Fluke 19xB/C (1 yr) B Bandwidth RS-232 /5520+S6
  1.071  JMPL         EXT_TRIGGER

  1.072  LABEL        A_VIDEO
  1.073  CALL         Sub Fluke 19xB/C (1 yr) A Video RS-232 /5520+S6
  1.074  JMPL         TRIG_SENS_B

  1.075  LABEL        EXT_TRIGGER
  1.076  CALL         Sub Fluke 19x (1 yr) Meter Ext Trigger RS-232 /5520
  1.077  CALL         Sub Fluke 19x (1 yr) Meter DCV Acc RS-232 /5520
  1.078  CALL         Sub Fluke 19x (1 yr) Meter ACV Acc RS-232 /5520
  1.079  CALL         Sub Fluke 19x (1 yr) Meter Continuity RS-232 /5520
  1.080  CALL         Sub Fluke 19x (1 yr) Meter Diode RS-232 /5520
  1.081  CALL         Sub Fluke 19x (1 yr) Meter Ohms Acc RS-232 /5520
  1.082  CALL         Sub Fluke 19x Probe Ver RS-232

  1.083  LABEL        END

  1.084  IF           @Abort
  1.085  HEAD         V E R I F I C A T I O N   A B O R T E D
  1.088  ENDIF

  1.089  END
