﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 19xB/C Check Firmware Revision RS-232
DATE:                  2018-01-04 10:20:41
AUTHOR:                Fluke
REVISION:              $Revision: 22075 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       65
=============================================================================
#
#  Procedure Author:
#        DAC, VY
#
#  Models covered:
#        Fluke 19xB, 19xC ScopeMeter®
#        Fluke 2x5C ScopeMeter®
#
#  Compatibility:
#        MET/CAL 8.0 and later
#
# This procedure is intended for use with MET/CAL® calibration software; the
# terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Copy firmware version to numeric register, striping off string characters.
  1.001  MATH         Rev = FLD(@FirmwareRev, 2, "0")

# Check if Input A & B 2 mV/div ranges exist (firmware < V05.04).
  1.002  IF           Rev < 5.04
  1.003  CALL         Sub Fluke ScopeMeter Enter Maintenance RS-232
  1.004  JMPL         END                          @Abort
  1.005  CALL         Sub Fluke ScopeMeter Password RS-232
  1.006  JMPL         END                          @Abort
# Reset configuration data for channel A.
  1.007  MATH         @Cmd = "CI 30,40,-3"
  1.008  CALL         Sub Fluke ScopeMeter Send Command RS-232
  1.009  JMPL         END                          @Abort
# Reset configuration data for channel B.
  1.010  MATH         @Cmd = "CI 40,40,-3"
  1.011  CALL         Sub Fluke ScopeMeter Send Command RS-232
  1.012  JMPL         END                          @Abort
  1.013  CALL         Sub Fluke ScopeMeter Refresh Calibration RS-232
  1.014  JMPL         END                          @Abort
  1.015  CALL         Sub Fluke ScopeMeter Enter Operational Mode RS-232
  1.016  JMPL         END                          @Abort
  1.017  MATH         @Division2mVOn = 0

  1.018  ELSE
  1.019  MATH         @Division2mVOn = 1
  1.020  ENDIF

  1.021  LABEL        END
  1.022  END
